Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class JobCalendarTrigger

    java.lang.Object
      com.jaspersoft.jasperserver.ws.scheduling.JobTrigger
          com.jaspersoft.jasperserver.ws.scheduling.JobCalendarTrigger

All Implemented Interfaces:
  java.io.Serializable

    public class JobCalendarTrigger

extends JobTrigger
implements java.io.Serializable

JobCalendarTrigger.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

See Also:
  Serialized Form

Constructor Summary
`JobCalendarTrigger()`
`JobCalendarTrigger(long id, int version, java.lang.String timezone, java.util.Calendar startDate, java.util.Calendar endDate, java.lang.String minutes, java.lang.String hours, CalendarDaysType daysType, int[] weekDays, java.lang.String monthDays, int[] months)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`CalendarDaysType` | `getDaysType()` Gets the daysType value for this JobCalendarTrigger.
`java.lang.String` | `getHours()` Gets the hours value for this JobCalendarTrigger.
`java.lang.String` | `getMinutes()` Gets the minutes value for this JobCalendarTrigger.
`java.lang.String` | `getMonthDays()` Gets the monthDays value for this JobCalendarTrigger.
`int[]` | `getMonths()` Gets the months value for this JobCalendarTrigger.
`int[]` | `getWeekDays()` Gets the weekDays value for this JobCalendarTrigger.
`int` | `hashCode()`
`void` | `setDaysType(CalendarDaysType daysType)` Sets the daysType value for this JobCalendarTrigger.
`void` | `setHours(java.lang.String hours)` Sets the hours value for this JobCalendarTrigger.
`void` | `setMinutes(java.lang.String minutes)` Sets the minutes value for this JobCalendarTrigger.
`void` | `setMonthDays(java.lang.String monthDays)` Sets the monthDays value for this JobCalendarTrigger.
`void` | `setMonths(int[] months)` Sets the months value for this JobCalendarTrigger.
`void` | `setWeekDays(int[] weekDays)` Sets the weekDays value for this JobCalendarTrigger.

Methods inherited from class com.jaspersoft.jasperserver.ws.scheduling.JobTrigger
`getEndDate, getId, getStartDate, getTimezone, getVersion, setEndDate, setId, setStartDate, setTimezone, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobCalendarTrigger

    public JobCalendarTrigger()

### JobCalendarTrigger

    public JobCalendarTrigger(long id,
                              int version,
                              java.lang.String timezone,
                              java.util.Calendar startDate,
                              java.util.Calendar endDate,
                              java.lang.String minutes,
                              java.lang.String hours,
                              CalendarDaysType daysType,
                              int[] weekDays,
                              java.lang.String monthDays,
                              int[] months)

Method Detail

### getMinutes

    public java.lang.String getMinutes()

  Gets the minutes value for this JobCalendarTrigger.

  Returns:
    minutes

### setMinutes

    public void setMinutes(java.lang.String minutes)

  Sets the minutes value for this JobCalendarTrigger.

  Parameters:
    `minutes` -

### getHours

    public java.lang.String getHours()

  Gets the hours value for this JobCalendarTrigger.

  Returns:
    hours

### setHours

    public void setHours(java.lang.String hours)

  Sets the hours value for this JobCalendarTrigger.

  Parameters:
    `hours` -

### getDaysType

    public CalendarDaysType getDaysType()

  Gets the daysType value for this JobCalendarTrigger.

  Returns:
    daysType

### setDaysType

    public void setDaysType(CalendarDaysType daysType)

  Sets the daysType value for this JobCalendarTrigger.

  Parameters:
    `daysType` -

### getWeekDays

    public int[] getWeekDays()

  Gets the weekDays value for this JobCalendarTrigger.

  Returns:
    weekDays

### setWeekDays

    public void setWeekDays(int[] weekDays)

  Sets the weekDays value for this JobCalendarTrigger.

  Parameters:
    `weekDays` -

### getMonthDays

    public java.lang.String getMonthDays()

  Gets the monthDays value for this JobCalendarTrigger.

  Returns:
    monthDays

### setMonthDays

    public void setMonthDays(java.lang.String monthDays)

  Sets the monthDays value for this JobCalendarTrigger.

  Parameters:
    `monthDays` -

### getMonths

    public int[] getMonths()

  Gets the months value for this JobCalendarTrigger.

  Returns:
    months

### setMonths

    public void setMonths(int[] months)

  Sets the months value for this JobCalendarTrigger.

  Parameters:
    `months` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `JobTrigger`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `JobTrigger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.